Bug 1157327 - quirk for Lenovo Yoga 3: no rfkill switch
Summary: quirk for Lenovo Yoga 3: no rfkill switch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-27 03:17 UTC by Stephan Mueller
Modified: 2014-11-05 03:55 UTC (History)
6 users (show)

Fixed In Version: kernel-3.16.7-200.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-03 05:22:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Stephan Mueller 2014-10-27 03:17:00 UTC
Description of problem:

I am working on a Lenovo Yoga Pro 3. This device does not have any physical 
rfkill switch. However, ideapad-laptop always enables the hardware rfkill switch for my laptop.


Version-Release number of selected component (if applicable):

All kernels.


How reproducible:

Always


Please see https://lkml.org/lkml/2014/10/26/205 for a working bug fix.

Comment 1 Josh Boyer 2014-10-28 18:21:45 UTC
Applied to f20-rawhide.  Thank you very much for the patch!

Comment 2 Fedora Update System 2014-10-31 11:30:38 UTC
kernel-3.17.2-300.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kernel-3.17.2-300.fc21

Comment 3 Fedora Update System 2014-10-31 12:13:13 UTC
kernel-3.16.7-200.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.16.7-200.fc20

Comment 4 Fedora Update System 2014-11-01 01:46:12 UTC
Package kernel-3.16.7-200.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.16.7-200.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14075/kernel-3.16.7-200.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-11-03 05:22:07 UTC
kernel-3.17.2-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Stephan Mueller 2014-11-04 17:49:31 UTC
Bug fix confirmed:

- Fedora 21 kernel

- using the proprietary Broadcomm wl driver

Comment 7 Fedora Update System 2014-11-05 03:55:40 UTC
kernel-3.16.7-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.